QGIS Application - Bug report #21676
QgsProcessingAlgorithm / add Layer to project
2019-03-26 11:58 AM - Valérian LEBERT

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 29492
Description

Hi,

| am trying to add a layer to project in a QgsProcessingAlgorithm.
| tried the folowing code :

vlayer1 = QgsVectorLayer('Point?crs=epsg:4326&field=id:integer&field=name:string(20) &index=yes', 'viayer1', "memory"
'Point?crs=epsg:4326&field=id:integer&field=name:string(20)&index=yes', 'vlayer3', "memory"'

(20)

vlayer2 = QgsVectorLayer('Point?crs=epsg:43264&field=id:integer&field=name:string &index=yes', 'vlayer2', "memory"

vlayer3 = QgsVectorLayer
vlayer4 = QgsVectorLayer('Point?crs=epsg:4326&field=id:integer&field=name:string(20)&index=yes', 'viayer4', "memory"

context.addLayerToLoadOnCompletion(vlayer1.id(),context.LayerDetails('toto', QgsProject.instance(), self. OUTPUT))
context.addLayerToLoadOnCompletion(vlayer2.id(),context.LayerDetails('toto', context.project(), self. OUTPUT))
QgsProject.instance().addMapLayer(vlayer3, True)

context.project().addMapLayer(vlayer4, True)

None of the layer is loaded.
OUTPUT variable is a string :
OUTPUT ='OUTPUT'

| get a warning on processing feedback with no details in message log :

Chargement des couches de résultat

Les couches suivantes n'ont pas été générées
correctement.<ul><li>vlayer1_98306459 f1bc_4285_b8dc_660502e5ch47</li><li>vlayer2_040a7eal_7a5f 4e02_bfd1_4ce311c602195
</li></ul>Vous pouvez vérifier le Panel de messages du journal dans la fenétre principale de QGIS pour trouver plus d'informations a
propos de I'exécution de I'algorithme.

Am i doing wrong or is there something broken in procesing AP1?

Thanks
Valérian

e/li></ul

History

#1 - 2019-03-26 03:13 PM - Giovanni Manghi
- Status changed from Open to Feedback
If this is not an issue report but rather a question this should be posted in the proper channels, the users/devolpers mailing lists, etc.

#2 - 2019-05-21 11:49 AM - Alexander Bruy
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
